// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the UNDERDLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// UNDERDLL_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef UNDERDLL_EXPORTS
#define UNDERDLL_API __declspec(dllexport)
#else
#define UNDERDLL_API __declspec(dllimport)
#endif

// Feb.25, 2009: Unique codes error conditions for API 
#define N_FN_NORMAL_TERMINATE					0001
#define N_TURN_ON_REG_QUERY_FAIL				1001
#define N_INITWIFI_LOCATION_UNSET				1002
#define N_HARDRESET_KCTL_ERR					1003
#define N_TURN_ON_LAST_CONNECT_STATUS_OPEN_ERR	1004

// External interfaces
UNDERDLL_API int  HardReset();
UNDERDLL_API void ChangeWiFiRegulatory(int niCode);
UNDERDLL_API int  TurnOnWiFiModule();
UNDERDLL_API void TurnOffWiFiModule();
UNDERDLL_API int  InitWiFi();
UNDERDLL_API void CloseWiFi();
UNDERDLL_API BOOL IfWiFiRegulatorySet();
UNDERDLL_API int  GetLastWiFiRegulatoryIndex();
UNDERDLL_API BOOL IfWiFiHasTurnedOn();
UNDERDLL_API void DirectlyTurnOnWiFi();